Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.api
Class Contact

    java.lang.Object
      com.skype.ipc.SidObject
          com.skype.api.Contact

All Implemented Interfaces:
  SidGetResponding

    public final class Contact

extends SidObject

Address book entry. Encapsulates methods like GetIdentity, GetAvatar, SendAuthRequest, OpenConversation etc. Single contact can have additional phone numbers attached to it (ASSIGNED_PHONE1 .. ASSIGNED_PHONE3). Note that in the context of a conversation, Contacts are represented by Participant objects. Contact member functions all return a Boolean indicating the success (true) or failure (false) of processing the request itself (transport, runtime availability, and so forth)?not the success or failure of its associated functionality. For example, Contact.IsMemberOf returns true if it was able to make a determination, and its result parameter reflects whether this Contact is a member of the target group. Similarly, Contact.IsMemberOf returns false if it was unable to make a determination, and the value of its result parameter is undefined.

Nested Class Summary
`static class` | `Contact.AuthLevel` Describes the recognized relational states between a local account and a remote contact.
`static class` | `Contact.Availability` Describes the superset list of possible Account and Contact online statuses.
`static class` | `Contact.Capability` This enumerator is used by both Contact and Account objects.
`static class` | `Contact.Capabilitystatus` List of possible states of each of the Contact class CAPABILITY items.
`static class` | `Contact.ExtraAuthReqFields`
`class` | `Contact.GetAvatarResponse`
`static class` | `Contact.Property` Properties of the Contact class
`static class` | `Contact.Type` Same as with CAPABILITY, enumerator is used by both Contact and Account objects.

Field Summary
`java.lang.String` | `mAbout`
`java.lang.String` | `mAssignedComment`
`java.lang.String` | `mAssignedPhone1`
`java.lang.String` | `mAssignedPhone1Label`
`java.lang.String` | `mAssignedPhone2`
`java.lang.String` | `mAssignedPhone2Label`
`java.lang.String` | `mAssignedPhone3`
`java.lang.String` | `mAssignedPhone3Label`
`int` | `mAuthRequestCount`
`int` | `mAuthRequestTimestamp`
`Contact.Availability` | `mAvailability`
`byte[]` | `mAvatarImage`
`int` | `mAvatarTimestamp`
`int` | `mBirthday`
`byte[]` | `mCapabilities`
`java.lang.String` | `mCity`
`java.lang.String` | `mCountry`
`java.lang.String` | `mDisplayName`
`java.lang.String` | `mEmails`
`java.lang.String` | `mFullName`
`int` | `mGender`
`Contact.AuthLevel` | `mGivenAuthLevel`
`java.lang.String` | `mGivenDisplayName`
`java.lang.String` | `mHomepage`
`java.lang.String` | `mIpCountry`
`java.lang.String` | `mLanguages`
`int` | `mLastOnlineTimestamp`
`int` | `mLastUsedTimestamp`
`java.lang.String` | `mMoodText`
`int` | `mMoodTimestamp`
`int` | `mNrofAuthedBuddies`
`java.lang.String` | `mPhoneHome`
`java.lang.String` | `mPhoneMobile`
`java.lang.String` | `mPhoneOffice`
`int` | `mPopularityOrd`
`int` | `mProfileTimestamp`
`java.lang.String` | `mProvince`
`java.lang.String` | `mPstnNumber`
`java.lang.String` | `mReceivedAuthRequest`
`boolean` | `mRefreshing`
`java.lang.String` | `mRichMoodText`
`java.lang.String` | `mSkypeName`
`int` | `mTimezone`
`Contact.Type` | `mType`

Fields inherited from class com.skype.ipc.SidObject
`mSidCached, mSidOid, mSidRoot, mSidTimestamp`

Constructor Summary
`Contact(int oid, SidRoot root)`

Method Summary
`java.lang.String` | `getAbout()` arbitrary introductory text
`java.lang.String` | `getAssignedComment()` change via Contact.AssignComment()
`java.lang.String` | `getAssignedPhone1()` Office phone no.
`java.lang.String` | `getAssignedPhone1Label()` Value "1" in this property will be translated as "Office" by Skype Windows desktop client, according to UI language settings
`java.lang.String` | `getAssignedPhone2()` Mobile phone no.
`java.lang.String` | `getAssignedPhone2Label()` Value "2" in this property will be translated as "Mobile" by Skype Windows desktop client, according to UI language settings
`java.lang.String` | `getAssignedPhone3()` "Other phone no.
`java.lang.String` | `getAssignedPhone3Label()` Value "3" in this property will be translated as "Other" by Skype Windows desktop client, according to UI language settings
`int` | `getAuthRequestCount()` for contacts that have CONTACT_RECEIVED_AUTHREQUEST, how many times in a row they have requested it without positive answer
`int` | `getAuthRequestTimestamp()` timestamp of last received auth-request
`Contact.Availability` | `getAvailability()` Contact.AVAILABILITY
`Contact.GetAvatarResponse` | `getAvatar()` Returns Conrtact's avatar image (JPG).
`byte[]` | `getAvatarImage()` Contact avatar pictures are in JPG format.
`int` | `getAvatarTimestamp()` UNIX timestamp of when current avatar was set
`int` | `getBirthday()` integer of YYYYMMDD format
`byte[]` | `getCapabilities()` binary tag that can be queried via Contact.HasCapability()
`Contact.Capabilitystatus` | `getCapabilityStatus(Contact.Capability capability, boolean queryServer)` Retrieves a Contact.Capability value.
`java.lang.String` | `getCity()`
`java.lang.String` | `getCountry()` ISO country code
`java.lang.String` | `getDisplayName()` always set (assigned by lib by looking at various fields)
`java.lang.String` | `getEmails()` will be hashed before advertising/querying, space separated
`java.lang.String` | `getFullName()`
`int` | `getGender()` 1-male, 2-female
`Contact.AuthLevel` | `getGivenAuthLevel()` Contact.AUTHLEVEL, change via Contact.GiveAuthlevel()
`java.lang.String` | `getGivenDisplayName()` change via Contact.GiveDisplayname()
`java.lang.String` | `getHomepage()`
`java.lang.String` | `getIdentity()` getIdentity
`java.lang.String` | `getIpCountry()` ISO country code assigned by the IP
`java.lang.String` | `getLanguages()` ISO language code list, space separated
`int` | `getLastOnlineTimestamp()` X timestamp of last successful ping to that user
`int` | `getLastUsedTimestamp()` UNIX timestamp of last outbound session (call, chat, FT, etc)
`java.lang.String` | `getMoodText()` Personal mood message (visible to authorized users only).
`int` | `getMoodTimestamp()` NOT SET FOR CONTACTS.
`int` | `getNrofAuthedBuddies()` count of this user's authorized contacts
`java.lang.String` | `getPhoneHome()` This corresponds to the Account.P_PHONE_HOME property.
`java.lang.String` | `getPhoneMobile()` This corresponds to the Account.P_PHONE_MOBILE property.
`java.lang.String` | `getPhoneOffice()` This corresponds to the Account.P_PHONE_OFFICE property.
`int` | `getPopularityOrd()` Contact's order by presence popularity
`int` | `getProfileTimestamp()` UNIX timestamp of last profile change
`java.lang.String` | `getPropertyAsString(Contact.Property prop)`
`java.lang.String` | `getPropertyAsString(int prop)`
`java.lang.String` | `getProvince()`
`java.lang.String` | `getPstnNumber()`
`java.lang.String` | `getReceivedAuthRequest()` set if the contact is waiting to be authorized.
`boolean` | `getRefreshing()` true if querying additional information from p2p or server
`java.lang.String` | `getRichMoodText()` XML version of personal mood text
`java.lang.String` | `getSkypeName()` defined if it is a SKYPE contact
`int` | `getTimezone()` 24*3600+diff_to_UTC_in_seconds.
`Contact.Type` | `getType()`
`java.lang.String` | `getVerifiedCompany()` returns verified-by-Skype company for this contact if exists and verifiable * @return company
`java.lang.String` | `getVerifiedEmail()` returns verified-by-Skype e-mail for this contact if exists and verifiable * @return email
`void` | `giveDisplayName(java.lang.String name)` sets CONTACT_GIVEN_DISPLAYNAME.
`boolean` | `hasAuthorizedMe()` the contact has accepted my auth request * @return result
`protected boolean` | `hasCached()`
`boolean` | `hasCapability(Contact.Capability capability, boolean queryServer)` Retrieves a Contact.Capability value.
`void` | `ignoreAuthRequest()` Rejects and removes a pending authorization request from this Contact.
`void` | `invalidateCache(PropertyEnumConverting property)` invalidateCache: the next time the property is get, it will be querried to the runtime, meanwhile it can be discarded.
`protected boolean` | `isCached(PropertyEnumConverting property)`
`boolean` | `isMemberOf(ContactGroup group)` Checks whether the contact is member of a contact group given in group reference argument.
`boolean` | `isMemberOfHardwiredGroup(ContactGroup.Type groupType)` Checks whether the contact is member of a pre-defined contact group given in the TYPE argument (type for this property comes from the ContactGroup class).
`Contact` | `mgetInfo()` multiget the following properties - P_AVAILABILITY - P_DISPLAY_NAME
`static Contact[]` | `mgetInfo(Contact[] objects)` multiget the following properties for a list of Contact - P_AVAILABILITY - P_DISPLAY_NAME
`Contact` | `mgetProfile()` multiget the following properties - P_SKYPE_NAME - P_PSTN_NUMBER - P_FULL_NAME - P_MOOD_TEXT - P_EMAILS - P_PHONE_HOME - P_PHONE_OFFICE - P_PHONE_MOBILE - P_BIRTHDAY - P_GENDER - P_LANGUAGES - P_COUNTRY - P_PROVINCE - P_CITY - P_HOMEPAGE - P_ABOUT - P_TIMEZONE
`int` | `moduleId()`
`Conversation` | `openConversation()` Retrieves a dialog conversation with the Contact.
`void` | `refreshProfile()` Refreshes all properties, capabilities, and statuses associated with this Contact from p2p/CBL, and sets P_REFRESHING to true for the duration.
`void` | `sendAuthRequest(java.lang.String message, int extrasBitmask)` Sends a contact authorization request to this user.
`void` | `setBlocked(boolean blocked, boolean abuse)` Blocks or unblocks any further incoming communication attempts from this contact.
`void` | `setBuddyStatus(boolean isMyBuddy, boolean syncAuth)` Adds or removes this Contact from the ALL_BUDDIES hardwired group.
`void` | `setPhoneNumber(int num, java.lang.String label, java.lang.String number)` Sets the three P_ASSIGNED_PHONEx and P_ASSIGNED_PHONEx_LABEL properties, where x reflects the value of num.
`byte[]` | `sidGetBinaryProperty(PropertyEnumConverting prop)`
`boolean` | `sidGetBoolProperty(PropertyEnumConverting prop)`
`EnumConverting` | `sidGetEnumProperty(PropertyEnumConverting prop)`
`int` | `sidGetIntProperty(PropertyEnumConverting prop)`
`java.lang.String` | `sidGetStringProperty(PropertyEnumConverting prop)`
`SidGetResponding` | `sidMultiGet(Contact.Property[] requested)` generic multiget of a list of Property
`static SidGetResponding[]` | `sidMultiGet(Contact.Property[] requested, Contact[] objects)` generic multiget of list of Property for a list of Contact
`protected void` | `sidOnChangedProperty(int propertyId, int value, java.lang.String svalue)`
`void` | `sidSetProperty(PropertyEnumConverting prop, byte[] newValue)`
`void` | `sidSetProperty(PropertyEnumConverting prop, int newValue)`
`void` | `sidSetProperty(PropertyEnumConverting prop, java.lang.String newValue)`

Methods inherited from class com.skype.ipc.SidObject
`finalize, getOid, sidDoRequest, sidGetFilenameProperty, sidGetLongProperty, sidGetObject, sidGetObjectProperty, sidGetUintProperty, sidGetXmlProperty, sidMultiGet, sidMultiGet, sidMultiGet, sidMultiGet, sidRequestBinaryProperty, sidRequestBoolProperty, sidRequestEnumProperty, sidRequestFilenameProperty, sidRequestIntProperty, sidRequestObjectProperty, sidRequestProperty, sidRequestStringProperty, sidRequestUintProperty, sidRequestXmlProperty, sidSetProperty, sidSetProperty`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mType

    public Contact.Type mType

### mSkypeName

    public java.lang.String mSkypeName

### mPstnNumber

    public java.lang.String mPstnNumber

### mFullName

    public java.lang.String mFullName

### mBirthday

    public int mBirthday

### mGender

    public int mGender

### mLanguages

    public java.lang.String mLanguages

### mCountry

    public java.lang.String mCountry

### mProvince

    public java.lang.String mProvince

### mCity

    public java.lang.String mCity

### mPhoneHome

    public java.lang.String mPhoneHome

### mPhoneOffice

    public java.lang.String mPhoneOffice

### mPhoneMobile

    public java.lang.String mPhoneMobile

### mEmails

    public java.lang.String mEmails

### mHomepage

    public java.lang.String mHomepage

### mAbout

    public java.lang.String mAbout

### mAvatarImage

    public byte[] mAvatarImage

### mMoodText

    public java.lang.String mMoodText

### mRichMoodText

    public java.lang.String mRichMoodText

### mTimezone

    public int mTimezone

### mCapabilities

    public byte[] mCapabilities

### mProfileTimestamp

    public int mProfileTimestamp

### mNrofAuthedBuddies

    public int mNrofAuthedBuddies

### mIpCountry

    public java.lang.String mIpCountry

### mAvatarTimestamp

    public int mAvatarTimestamp

### mMoodTimestamp

    public int mMoodTimestamp

### mReceivedAuthRequest

    public java.lang.String mReceivedAuthRequest

### mAuthRequestTimestamp

    public int mAuthRequestTimestamp

### mLastOnlineTimestamp

    public int mLastOnlineTimestamp

### mAvailability

    public Contact.Availability mAvailability

### mDisplayName

    public java.lang.String mDisplayName

### mRefreshing

    public boolean mRefreshing

### mGivenAuthLevel

    public Contact.AuthLevel mGivenAuthLevel

### mGivenDisplayName

    public java.lang.String mGivenDisplayName

### mAssignedComment

    public java.lang.String mAssignedComment

### mLastUsedTimestamp

    public int mLastUsedTimestamp

### mAuthRequestCount

    public int mAuthRequestCount

### mAssignedPhone1

    public java.lang.String mAssignedPhone1

### mAssignedPhone1Label

    public java.lang.String mAssignedPhone1Label

### mAssignedPhone2

    public java.lang.String mAssignedPhone2

### mAssignedPhone2Label

    public java.lang.String mAssignedPhone2Label

### mAssignedPhone3

    public java.lang.String mAssignedPhone3

### mAssignedPhone3Label

    public java.lang.String mAssignedPhone3Label

### mPopularityOrd

    public int mPopularityOrd

Constructor Detail

### Contact

    public Contact(int oid,
                   SidRoot root)

Method Detail

### getIdentity

    public java.lang.String getIdentity()

  getIdentity

  Returns:
    identity returns CONTACT_SKYPENAME or CONTACT_PSTNNUMBER value

### getAvatar

    public Contact.GetAvatarResponse getAvatar()

  Returns Conrtact's avatar image (JPG). * @return GetAvatarResponse
  - present - true: the Contact has a custom avatar image - false: the Contact does not have a custom avatar image
  - avatar The avatar image data (JPG). If present is false, this will be the Skype-assigned default avatar

### getVerifiedEmail

    public java.lang.String getVerifiedEmail()

  returns verified-by-Skype e-mail for this contact if exists and verifiable * @return email

### getVerifiedCompany

    public java.lang.String getVerifiedCompany()

  returns verified-by-Skype company for this contact if exists and verifiable * @return company

### isMemberOf

    public boolean isMemberOf(ContactGroup group)

  Checks whether the contact is member of a contact group given in group reference argument. * @param group The target contact group * @return result - true: the Contact is a member of the target contact group - false: the Contact is not a member of the target contact group

### isMemberOfHardwiredGroup

    public boolean isMemberOfHardwiredGroup(ContactGroup.Type groupType)

  Checks whether the contact is member of a pre-defined contact group given in the TYPE argument (type for this property comes from the ContactGroup class). * @param groupType The type designator of the target pre-defined contact group. For example, specify this parameter as ContactGroup.TYPE.RECENTLY_CONTACTED_CONTACTS to determine if you've had a recent conversation with this Contact.

  Returns:
    result - true: the Contact is a member of the target contact group - false: the Contact is not a member of the target contact group

### setBlocked

    public void setBlocked(boolean blocked,
                           boolean abuse)

  Blocks or unblocks any further incoming communication attempts from this contact. * @param blocked - true: block this contact - false: unblock this contact

  Parameters:
    `abuse` - Optional parameter to report abuse by this Skype user when blocking this Contact. Note that you can specifiy this parameter as true only when blocking a Contact. Defaults to false if omitted.

### ignoreAuthRequest

    public void ignoreAuthRequest()

  Rejects and removes a pending authorization request from this Contact.

### giveDisplayName

    public void giveDisplayName(java.lang.String name)

  sets CONTACT_GIVEN_DISPLAYNAME. clears if size(name)==0 * @param name

### setBuddyStatus

    public void setBuddyStatus(boolean isMyBuddy,
                               boolean syncAuth)

  Adds or removes this Contact from the ALL_BUDDIES hardwired group. * @param isMyBuddy - true: add this contact to the ALL_BUDDIES group - false: delete contact from the ALL_BUDDIES group

  Parameters:
    `syncAuth` - This argument is deprecated and should not be used.

### sendAuthRequest

    public void sendAuthRequest(java.lang.String message,
                                int extrasBitmask)

  Sends a contact authorization request to this user. * @param message Text that typically introduces the requesting user and details the reason for the authorization request. This text will be set as Message.P_BODY_XML property of the notification Message the remote user will receive upon getting the authortization request. While this can be the empty string, it cannot be null.

  Parameters:
    `extrasBitmask` - Indicates additional information to include with this authorization request: - 0 (zero): do not include any additional information - SEND_VERIFIED_EMAIL: include the requestor's verified e-mail address - SEND_VERIFIED_COMPANY: include verified information regarding the requestor's company - SEND_VERIFIED_EMAIL + SEND_VERIFIED_COMPANY: include both e-mail and company information

### hasAuthorizedMe

    public boolean hasAuthorizedMe()

  the contact has accepted my auth request * @return result

### setPhoneNumber

    public void setPhoneNumber(int num,
                               java.lang.String label,
                               java.lang.String number)

  Sets the three P_ASSIGNED_PHONEx and P_ASSIGNED_PHONEx_LABEL properties, where x reflects the value of num. The Skype Windows desktop client uses the following conventions when interpreting and assigning values to these properties. While your solution can assign arbitrary values to these properties, we strongly recommend using these conventions to ensure interoperability with the Skype Windows desktop client. Keep in mind that the "number" of these property pairs has no relationship to how the Skype Windows client interprets their label property value strings. For example, the Skype Windows client will interpret P_ASSIGNED_PHONE3_LABEL as "Home" if its value is the string "0". Label strings: Populate the label properties with string representations of the numbers "0" through "3", rather than descriptive strings like "Home", "Mobile", and so forth. The Skype desktop clients interpret the numeric string values as: - "0" (zero) - "Home" - "1" (one) - "Office" - "2" - "Mobile" - "3" - "Other" Keep in mind that the "number" of a property pair has no relationship to its label string. For example, the Skype Windows client will interpret P_ASSIGNED_PHONE3_LABEL as "Home" if its value is the string "0". Phone number strings: The Skype Windows desktop client has distinct conventions for Skype Contacts and PSTN (SkypeOut) Contacts: any or all of the property pairs can be used for Skype Contacts; P_ASSIGNED_PHONE1 cannot be used for PSTN Contacts and P_ASSIGNED_PHONE1_LABEL has special meaning for PSTN Contacts. Specifically, the Skype desktop clients use P_ASSIGNED_PHONE1_LABEL as the label for a PSTN Contact's primary number (regardless of whether it's home, mobile, or office), and use P_PSTNNUMBER to hold the actual number.

  Parameters:
    `num` - The property pair being set, which must be in the range 0..3
    `label` - The label text for the property being set
    `number` - The phone number for the property being set

### openConversation

    public Conversation openConversation()

  Retrieves a dialog conversation with the Contact. * @return conversation Retrieved dialog.

### hasCapability

    public boolean hasCapability(Contact.Capability capability,
                                 boolean queryServer)

  Retrieves a Contact.Capability value. Sets P_REFRESHING to true while querying from server. This method is functionally the same as Contact.GetCapabilityStatus except that it returns a bool value rather than Contact.CAPABILITYSTATUS * @param capability The target capability * @param queryServer - true: obtains the data from the p2p network/server, and sets P_REFRESHING to true for the duration - false: obtains the data from the local client

  Returns:
    result - true: the Contact has the target capability through at least one of the Skype clients they have logged into. Corresponds to CAPABILITY_MIXED and CAPABILITY_EXISTS - false: the Contact does not have the target capability. Corresponds to NO_CAPABILITY

### getCapabilityStatus

    public Contact.Capabilitystatus getCapabilityStatus(Contact.Capability capability,
                                                        boolean queryServer)

  Retrieves a Contact.Capability value. Sets P_REFRESHING to true while querying from server. * @param capability The target capability, see Contact.Capability enumerator.

  Parameters:
    `queryServer` - - true: obtains the data from the p2p network/server, and sets P_REFRESHING to true for the duration - false: obtains the data from the local client
  Returns:
    status Status of the target capability.

### refreshProfile

    public void refreshProfile()

  Refreshes all properties, capabilities, and statuses associated with this Contact from p2p/CBL, and sets P_REFRESHING to true for the duration.

### sidMultiGet

    public SidGetResponding sidMultiGet(Contact.Property[] requested)

  generic multiget of a list of Property

  Parameters:
    `requested` - the list of requested properties of Contact
  Returns:
    SidGetResponding

### sidMultiGet

    public static SidGetResponding[] sidMultiGet(Contact.Property[] requested,
                                                 Contact[] objects)

  generic multiget of list of Property for a list of Contact

  Parameters:
    `requested` - the list of requested properties
  Returns:
    SidGetResponding[] can be casted to (Contact[]) if all properties are cached

### mgetInfo

    public Contact mgetInfo()

  multiget the following properties - P_AVAILABILITY - P_DISPLAY_NAME

### mgetInfo

    public static Contact[] mgetInfo(Contact[] objects)

  multiget the following properties for a list of Contact - P_AVAILABILITY - P_DISPLAY_NAME

  Parameters:
    `objects` - targets of the request
  Returns:
    Contact[] responses

### mgetProfile

    public Contact mgetProfile()

  multiget the following properties - P_SKYPE_NAME - P_PSTN_NUMBER - P_FULL_NAME - P_MOOD_TEXT - P_EMAILS - P_PHONE_HOME - P_PHONE_OFFICE - P_PHONE_MOBILE - P_BIRTHDAY - P_GENDER - P_LANGUAGES - P_COUNTRY - P_PROVINCE - P_CITY - P_HOMEPAGE - P_ABOUT - P_TIMEZONE

### getType

    public Contact.Type getType()

### getSkypeName

    public java.lang.String getSkypeName()

  defined if it is a SKYPE contact

### getPstnNumber

    public java.lang.String getPstnNumber()

### getFullName

    public java.lang.String getFullName()

### getBirthday

    public int getBirthday()

  integer of YYYYMMDD format

### getGender

    public int getGender()

  1-male, 2-female

### getLanguages

    public java.lang.String getLanguages()

  ISO language code list, space separated

### getCountry

    public java.lang.String getCountry()

  ISO country code

### getProvince

    public java.lang.String getProvince()

### getCity

    public java.lang.String getCity()

### getPhoneHome

    public java.lang.String getPhoneHome()

  This corresponds to the Account.P_PHONE_HOME property. The value is set by the remote user in Account profile. As Contact property, this is read-only.

### getPhoneOffice

    public java.lang.String getPhoneOffice()

  This corresponds to the Account.P_PHONE_OFFICE property. The value is set by the remote user in Account profile. As Contact property, this is read-only. If the Contact has not populated his Account profile with sufficient phone numbers, the UI should implement locally adding additional phone numbers to Contact P_ASSIGNED_PHONE1 .. P_ASSIGNED_PHONE3 properties (and corresponding labels). See Contact.SetPhoneNumber method for more information.

### getPhoneMobile

    public java.lang.String getPhoneMobile()

  This corresponds to the Account.P_PHONE_MOBILE property. The value is set by the remote user in Account profile. As Contact property, this is read-only.

### getEmails

    public java.lang.String getEmails()

  will be hashed before advertising/querying, space separated

### getHomepage

    public java.lang.String getHomepage()

### getAbout

    public java.lang.String getAbout()

  arbitrary introductory text

### getAvatarImage

    public byte[] getAvatarImage()

  Contact avatar pictures are in JPG format. The original size of avatar pictures are in no more than 96 x 96 pixels in size. However, as they can be smaller, scaling the pictures up too much to fit your UI can lead to distorted images.

### getMoodText

    public java.lang.String getMoodText()

  Personal mood message (visible to authorized users only).

### getRichMoodText

    public java.lang.String getRichMoodText()

  XML version of personal mood text

### getTimezone

    public int getTimezone()

  24*3600+diff_to_UTC_in_seconds. NB! changes with DST

### getCapabilities

    public byte[] getCapabilities()

  binary tag that can be queried via Contact.HasCapability()

### getProfileTimestamp

    public int getProfileTimestamp()

  UNIX timestamp of last profile change

### getNrofAuthedBuddies

    public int getNrofAuthedBuddies()

  count of this user's authorized contacts

### getIpCountry

    public java.lang.String getIpCountry()

  ISO country code assigned by the IP

### getAvatarTimestamp

    public int getAvatarTimestamp()

  UNIX timestamp of when current avatar was set

### getMoodTimestamp

    public int getMoodTimestamp()

  NOT SET FOR CONTACTS. For Account object, UNIX timestamp of when current mood was set

### getReceivedAuthRequest

    public java.lang.String getReceivedAuthRequest()

  set if the contact is waiting to be authorized. The value contains auth. request text

### getAuthRequestTimestamp

    public int getAuthRequestTimestamp()

  timestamp of last received auth-request

### getLastOnlineTimestamp

    public int getLastOnlineTimestamp()

  X timestamp of last successful ping to that user

### getAvailability

    public Contact.Availability getAvailability()

  Contact.AVAILABILITY

### getDisplayName

    public java.lang.String getDisplayName()

  always set (assigned by lib by looking at various fields)

### getRefreshing

    public boolean getRefreshing()

  true if querying additional information from p2p or server

### getGivenAuthLevel

    public Contact.AuthLevel getGivenAuthLevel()

  Contact.AUTHLEVEL, change via Contact.GiveAuthlevel()

### getGivenDisplayName

    public java.lang.String getGivenDisplayName()

  change via Contact.GiveDisplayname()

### getAssignedComment

    public java.lang.String getAssignedComment()

  change via Contact.AssignComment()

### getLastUsedTimestamp

    public int getLastUsedTimestamp()

  UNIX timestamp of last outbound session (call, chat, FT, etc)

### getAuthRequestCount

    public int getAuthRequestCount()

  for contacts that have CONTACT_RECEIVED_AUTHREQUEST, how many times in a row they have requested it without positive answer

### getAssignedPhone1

    public java.lang.String getAssignedPhone1()

  Office phone no. of the contact. This property should NOT be used for SkypeOut contacts

### getAssignedPhone1Label

    public java.lang.String getAssignedPhone1Label()

  Value "1" in this property will be translated as "Office" by Skype Windows desktop client, according to UI language settings

### getAssignedPhone2

    public java.lang.String getAssignedPhone2()

  Mobile phone no. of the contact

### getAssignedPhone2Label

    public java.lang.String getAssignedPhone2Label()

  Value "2" in this property will be translated as "Mobile" by Skype Windows desktop client, according to UI language settings

### getAssignedPhone3

    public java.lang.String getAssignedPhone3()

  "Other phone no. of the contact

### getAssignedPhone3Label

    public java.lang.String getAssignedPhone3Label()

  Value "3" in this property will be translated as "Other" by Skype Windows desktop client, according to UI language settings

### getPopularityOrd

    public int getPopularityOrd()

  Contact's order by presence popularity

### sidGetStringProperty

    public java.lang.String sidGetStringProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetStringProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetStringProperty` in class `SidObject`

### sidGetBoolProperty

    public boolean sidGetBoolProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetBoolProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetBoolProperty` in class `SidObject`

### sidGetIntProperty

    public int sidGetIntProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetIntProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetIntProperty` in class `SidObject`

### sidGetEnumProperty

    public EnumConverting sidGetEnumProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetEnumProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetEnumProperty` in class `SidObject`

### sidGetBinaryProperty

    public byte[] sidGetBinaryProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetBinaryProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetBinaryProperty` in class `SidObject`

### getPropertyAsString

    public java.lang.String getPropertyAsString(int prop)

### getPropertyAsString

    public java.lang.String getPropertyAsString(Contact.Property prop)

### sidOnChangedProperty

    protected void sidOnChangedProperty(int propertyId,
                                        int value,
                                        java.lang.String svalue)

  Specified by:
    `sidOnChangedProperty` in class `SidObject`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting prop,
                               java.lang.String newValue)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`
  Overrides:
    `sidSetProperty` in class `SidObject`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting prop,
                               int newValue)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`
  Overrides:
    `sidSetProperty` in class `SidObject`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting prop,
                               byte[] newValue)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`
  Overrides:
    `sidSetProperty` in class `SidObject`

### invalidateCache

    public void invalidateCache(PropertyEnumConverting property)

  invalidateCache: the next time the property is get, it will be querried to the runtime, meanwhile it can be discarded. This allows fine grained cache management. Note that this doesn't delete the property, you still have to set it to null to get a chance having this behavior. The rationale if that the generated properties being public, you can directly assign it to null whilst a generated invalidateCache would require switching on the values to do so. Contact o; o.invalidate(Contact.Property.P_MY_PROP); o.mMyProp = null;

  Overrides:
    `invalidateCache` in class `SidObject`
  Parameters:
    `property` - the property to be invalidated

### isCached

    protected boolean isCached(PropertyEnumConverting property)

  Overrides:
    `isCached` in class `SidObject`

### hasCached

    protected boolean hasCached()

  Overrides:
    `hasCached` in class `SidObject`

### moduleId

    public int moduleId()

  Specified by:
    `moduleId` in class `SidObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.